Package org.kie.internal.builder.fluent

## Interface ContextFluent<T,​E>

- All Known Subinterfaces:
    `ExecutableBuilder`, `KieSessionFluent`

      public interface ContextFluent<T,​E>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `addCommand​(org.kie.api.command.ExecutableCommand<?> command)` |
    `E` | `end()` | End the scope of the current Command set
    `T` | `endConversation​(java.lang.String uuid)` |
    `T` | `get​(java.lang.String name)` |
    `<K> K` | `get​(java.lang.String name, java.lang.Class<K> cls)` | This sets an instance, for a given cls key, on the registry for commands to execute against.
    `T` | `get​(java.lang.String name, Scope scope)` |
    `T` | `getApplicationContext​(java.lang.String name)` |
    `T` | `joinConversation​(java.lang.String uuid)` |
    `T` | `newApplicationContext​(java.lang.String name)` |
    `T` | `out()` | The output from the last command should be returned via the out results.
    `T` | `out​(java.lang.String name)` | The output from the last executed command should be returned and set to the given name in the context.
    `T` | `set​(java.lang.String name)` | The last executed command result is set to a name in this executing context.
    `T` | `set​(java.lang.String name, Scope scope)` |
    `T` | `startConversation()` |

- - ### Method Detail

    - #### set

          T set​(java.lang.String name)

      The last executed command result is set to a name in this executing context. Default Scope is Request
      Parameters:
        `name` -
      Returns:
        this

    - #### set

          T set​(java.lang.String name,
                Scope scope)

    - #### get

          T get​(java.lang.String name)

    - #### get

          T get​(java.lang.String name,
                Scope scope)

    - #### get

          <K> K get​(java.lang.String name,
                    java.lang.Class<K> cls)

      This sets an instance, for a given cls key, on the registry for commands to execute against. This method will call "end" if within the context of a given registry command
      Type Parameters:
        `K` -
      Parameters:
        `name` -
        `cls` -
      Returns:

    - #### out

          T out()

      The output from the last command should be returned via the out results. It uses the last used name identifer for the previous get or set.
      Returns:
        this

    - #### out

          T out​(java.lang.String name)

      The output from the last executed command should be returned and set to the given name in the context. It uses the specified named identifierl
      Parameters:
        `name` -
      Returns:
        this

    - #### addCommand

          T addCommand​(org.kie.api.command.ExecutableCommand<?> command)

    - #### newApplicationContext

          T newApplicationContext​(java.lang.String name)

    - #### getApplicationContext

          T getApplicationContext​(java.lang.String name)

    - #### startConversation

          T startConversation()

    - #### joinConversation

          T joinConversation​(java.lang.String uuid)

    - #### endConversation

          T endConversation​(java.lang.String uuid)

    - #### end

          E end()

      End the scope of the current Command set
      Returns: